from app.utils.render import render
from app.models.forum import Forum
from app import app

@app.route('/forum')
def forum_index():
    main_forum = Forum.query.filter_by(parent=None).first()
    return render('/forum/index.html', main_forum=main_forum)

@app.route('/forum/<forum:f>')
def forum_page(f):
    return render('/forum/forum.html', f=f)
